#!/bin/bash
# Copyright (c) eenos.com
/usr/sbin/ldconfig
cat << ENDOFMOTD

----------- PIP Setup -----------------

The Eenos python pip utility setup tool 
To update and install latest pip(s) from release

---------------------------------------

ENDOFMOTD
#wget https://bootstrap.pypa.io/get-pip.py -O get-pip.py
#/usr/local/eenos/bin/python3 get-pip.py

if [ ! -f /usr/local/eenos/bin/pip3 ]; then
    echo "pip3 Command not found installing default ... "
    /usr/local/eenos/bin/python3 -m ensurepip --default-pip
fi
# if [ -d /root/.cache/pip ];then
#     echo "Clearing pip cache"
#     rm -rf /root/.cache/pip >/dev/null 2>&1
# fi
echo "upgrading pip3"
/usr/local/eenos/bin/python3.9 -m pip --no-color --no-cache-dir install --upgrade pip
echo "installing wheel"
/usr/local/eenos/bin/pip3 --no-color --no-cache-dir install wheel
echo "Ensuring pip3 "
/usr/local/eenos/bin/pip3 --no-color --no-cache-dir install --upgrade pip setuptools==67.2.0 wheel
/usr/local/eenos/bin/pip3 --no-color --no-cache-dir install -r /usr/local/eenos/etc/eenospip.txt
# Eenos eenos pip package
/usr/local/eenos/bin/pip3 --no-color --no-cache-dir install --extra-index-url https://pip.eenos.com/release/ eenos 
echo "Installed Python Modules ...."
/usr/local/eenos/bin/pip3 freeze
echo "Python module installation ... completed"

exit 0
